Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 812823 - Download links has truncated on Administration-->Downloads
Summary: Download links has truncated on Administration-->Downloads
Keywords:
Status: ON_DEV
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: unspecified
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Nobody
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: rhq-uxd
TreeView+ depends on / blocked
 
Reported: 2012-04-16 10:44 UTC by Jeeva Kandasamy
Modified: 2020-04-27 01:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
links (283.92 KB, image/jpeg)
2012-04-16 10:44 UTC, Jeeva Kandasamy
no flags Details
Connectors Download and CLI Alert Scripts Download (84.88 KB, image/jpeg)
2012-06-11 09:48 UTC, Jeeva Kandasamy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 804131 0 medium CLOSED bundle dest/deploy UI screen has unaligned text 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 830325 0 high CLOSED [Downloads view] links in Connectors and CLI Alert Scripts sections are centered, rather than left-aligned, and the righ... 2021-02-22 00:41:40 UTC

Internal Links: 804131 830325

Description Jeeva Kandasamy 2012-04-16 10:44:01 UTC
Created attachment 577682 [details]
links

Description of problem:
Download links has truncated on Administration-->Downloads.


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 472e72f
GWT Version: 2.4.0
SmartGWT Version: 3.0

How reproducible:
100%

Steps to Reproduce:
1.Log on to RHQ GUI
2.Navigate to Administration-->Downloads
3.Observe the download links name
  
Additional info: Screen shot is attached. 
Browser: Firefox ESR 10.0.3

Comment 1 Charles Crouch 2012-04-16 15:17:47 UTC
The links are obviously all right aligned versus left aligned too

Comment 2 John Mazzitelli 2012-04-16 21:05:26 UTC
bug #804131 also shows the same issue, only in a different place. looks like it
might be a smartgwt rendering bug when rendering LinkItems.

Comment 3 John Mazzitelli 2012-04-16 21:12:53 UTC
I think this is a bug in the way smartgwt is rendering ListItems.

I converted them to StaticTextItem and explicitly set the values to <a> tags. 

git commit to master: 0bdd8a1

Comment 4 Jeeva Kandasamy 2012-06-11 09:48:59 UTC
Created attachment 590879 [details]
Connectors Download and CLI Alert Scripts Download

Versions:
-------------------------------
RHQ
Version: 4.4.0.JON310-SNAPSHOT
Build Number: 88560f7
GWT Version: 2.4.0
SmartGWT Version: 3.0
-------------------------------
JBoss Operations Network
Version: 3.1.0.GA
Build Number: b575169:a53e41e
GWT Version: 2.4.0
SmartGWT Version: 3.0
-------------------------------
Still "Connectors Download" and "CLI Alert Scripts Download" aligned right. The link "rhq-rtfilter-subsystem-module.zip" has truncated.


Note You need to log in before you can comment on or make changes to this bug.